---
id: 657f59751d5a5c9b069ae0f3
title: Step 28
challengeType: 20
dashedName: step-28
---

# --description--

You can use the `__name__` variable to determine if a Python script is being run as the main program or if it is being imported as a module (code written in another Python file).

If the value of `__name__` is set to `'__main__'`, it implies that the current script is the main program, and not a module.

In this project, you'll use the current script as the main program.

Create an `if` statement that checks whether the value of `__name__` is `'__main__'`.

Use the `pass` keyword in the body of the `if` statement.

# --hints--

Your `if` statement should check if `__name__` has a value of `'__main__'`

```js
({
    test: () => assert(runPython(`
      _Node(_code).find_ifs()[0].find_conditions()[0].is_equivalent("__name__ == '__main__'")
    `))
})
```

# --seed--

## --seed-contents--

```py
def merge_sort(array):
    if len(array) <= 1:
        return
   
    middle_point = len(array) // 2
    left_part = array[:middle_point]
    right_part = array[middle_point:]

    merge_sort(left_part)
    merge_sort(right_part)

    left_array_index = 0
    right_array_index = 0
    sorted_index = 0

    while left_array_index < len(left_part) and right_array_index < len(right_part):
        if left_part[left_array_index] < right_part[right_array_index]:
            array[sorted_index] = left_part[left_array_index]
            left_array_index += 1
        else:
            array[sorted_index] = right_part[right_array_index]
            right_array_index += 1
        sorted_index += 1

    while left_array_index < len(left_part):
        array[sorted_index] = left_part[left_array_index]
        left_array_index += 1
        sorted_index += 1
   
    while right_array_index < len(right_part):
        array[sorted_index] = right_part[right_array_index]
        right_array_index += 1
        sorted_index += 1

--fcc-editable-region--

--fcc-editable-region--
```
